spring.application.name=Cadence

# DataSource settings

spring.datasource.url=jdbc:mysql://cadence-dev.clyxgjtibwrd.ap-south-1.rds.amazonaws.com/cadencedev?serverTimezone=UTC&useSSL=false
spring.datasource.username=cadencedev
spring.datasource.password=jW+Yz/|92_6B

spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver

# Hibernae Configuration

spring.jpa.hibernate.ddl-auto=validate
spring.jpa.show-sql=false
spring.jpa.properties.hibernate.dialect=com.divami.cadence.ims.dialect.CustomMySqlDialect
spring.jpa.properties.hibernate.format_sql=true


spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
                                                                                                                     
spring.main.allow-circular-references=true

jwt.secret=invecas_css

server.servlet.context-path=/ims-web                                                                               
logging.level.org.springframework.web=DEBUG 
spring.data.redis.repositories.enabled=false                                                                       
